package be.iminds.ilabt.jfed.gts.model;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 16:09
 */
public interface GtsOfx extends GtsHost {

    String getControllerIPv4();

    void setControllerIPv4(String controllerIPv4);

    Integer getControllerPort();


    void setControllerPort(Integer controllerPort);

    String getFabricIPv4();

    void setFabricIPv4(String fabricIPv4);

    String getFabricSubnetmaskv4();

    void setFabricSubnetmaskv4(String fabricSubnetmaskv4);
}
